#declare pCRedT=texture{
  pigment{color rgb <0.907215,0.296169,0.155251>}
  normal{crackle 0.2 scale 0.3}
  finish{
    ambient 0.2
    brilliance 1.127667
    phong 0.1007
    phong_size 9.27
    specular 0.158267
    roughness 0.503733
  }
}
//#declare pCRedT=texture{pigment{Red}}
#declare eyeT1 = texture{
  pigment{color rgb <0.99,0.99,0.99>}
  finish{
    ambient 0.45
    phong 0.6
    phong_size 5
  }
}
#declare eyeT2 = texture{
  pigment{color rgb <0.2,0.2,0.2>}
  finish{
    ambient 0.3
  }
}
#declare footT = texture{
  pigment{color rgb <0.2,0.2,0.02>}
  finish{
    ambient 0.2
    phong 0.6
    phong_size 5
  }
}

#macro makeMan(eyeXAngle,eyeYAngle,kneeAngle,legAngleL,legAngleR,handAngleL,handAngleR,
  elbowAngleL,elbowAngleR,elbowA2L,elbowA2R)
  #local eye = union{
    sphere{
      <0,0,0>,0.2
      texture{eyeT1}
    }
    intersection{
      sphere{
        <0,0,0>,0.2
      }
      cylinder{
        <0,0,0>,z*-1,0.07
      }
      rotate x*(eyeXAngle-17)//adderas 17 nr stts p plats
      rotate y*eyeYAngle
      translate z*-0.001
      texture{eyeT2}
    }
  }

  #local bStrength=1;
  #local head = union{
    blob{
      threshold 0.5
      sphere{< 0,   0,    0>, 2,bStrength  }//head
      sphere{< 0, 0, -1.6>, 0.9,-bStrength/3//headbump
        scale <1,1,1>
        rotate x*70
        rotate y*0
      }  
      sphere{< 0, 0, -1>, 0.15,bStrength//righteyebrow
        scale <2,1,1>
        rotate x*30
        rotate y*20
      }
      sphere{< 0, 0, -1.38>, 0.4,-bStrength//righteyehole
        scale <2,1,1>
        rotate x*15
        rotate y*20
      }

      sphere{< 0, 0, -1>, 0.15,bStrength//lefteyebrow
        scale <2,1,1>
        rotate x*30
        rotate y*-20
      }
      sphere{< 0, 0, -1.38>, 0.4,-bStrength//lefteyehole
        scale <2,1,1>
        rotate x*15
        rotate y*-20
      }
 
      sphere{< 0, 0, -0.95>, 0.2,bStrength//uppernose
        scale <1,2,1>
        rotate x*16
      }
      sphere{< 0, 0, -0.95>, 0.12,bStrength//uppernosefix
        scale <1,1,1.03>
        rotate x*32
      }  
      sphere{< 0, 0, -0>, 0.22,bStrength//mainnose
        scale <1,1,1.3>
        translate -1*z
        rotate x*9
      }
      sphere{< 0, 0, -1.6>, 0.7,-bStrength//leftcheek
        scale <1,1,1>
        rotate x*-10
        rotate y*30
      }
      sphere{< 0, 0, -1.6>, 0.7,-bStrength//rightcheek
        scale <1,1,1>
        rotate x*-10
        rotate y*-30
      }
      sphere{< 0, 0, -1.1>, 0.14,bStrength//upperlip
        scale <2,1,1>
        rotate x*-4
      }
      sphere{< 0, 0, 0>, 0.19,-bStrength//mouth
        scale <2,0.8,0.8>
        translate z*-1.1
        rotate x*-7
      }
      sphere{< 0, 0, -1.1>, 0.14,bStrength//lowerlip
        scale <2,1,1>
        rotate x*-10
      }
      sphere{< 0, 0, 0>, 0.14,bStrength//leftear+
        scale <3,3,1>
        translate z*(-1.05)
        rotate x*10
        rotate y*-70
      }
      sphere{< 0, 0, 0>, 0.14,-bStrength//leftear-1
        scale <3,3,1>
        translate z*(-1.15)
        rotate x*10
        rotate y*-70
      }
      sphere{< 0, 0, 0>, 0.11,-bStrength//leftear-2
        scale <3,3,1>
        translate z*(-1.1)
        rotate x*8
        rotate y*-67
      }
      sphere{< 0, 0, 0>, 0.14,bStrength//rightear+
        scale <3,3,1>
        translate z*(-1.05)
        rotate x*10
        rotate y*70
      }
      sphere{< 0, 0, 0>, 0.14,-bStrength//rightear-1
        scale <3,3,1>
        translate z*(-1.15)
        rotate x*10
        rotate y*70
      }
      sphere{< 0, 0, 0>, 0.11,-bStrength//rightear-2
        scale <3,3,1>
        translate z*(-1.1)
        rotate x*8
        rotate y*67
      }
      texture{pCRedT}
    }
    object{
      eye
      translate -0.93*z
      rotate x*17
      translate x*0.3
    }
    object{
      eye
      translate -0.93*z
      rotate x*17
      translate -x*0.3
    }
  }
  #local foot = intersection{
    blob{
      threshold 0.5
      sphere{
        y*0,0.1,bStrength
        scale x*3+y*1+z*6
        translate -z*0.2
      }
      sphere{
        y*0,0.6,bStrength
        translate z*-0.4+y*-0.13
      }
    }
    box{<-1,0,-1>,<1,1,1>}
    texture{footT}
  }
            
  #local leg = union{
    blob{
      threshold 0.5
      cylinder{y*0,y*-0.4,0.3,bStrength}
      cylinder{y*0,y*-0.4,0.3,bStrength
        rotate x*-kneeAngle
        translate y*-0.4}
      texture{pCRedT}
    }
    object{
      foot
      translate y*-(0.4+0.1)
      rotate x*-kneeAngle
      translate y*-0.4
    }
  }

  #local handR = blob{
    threshold 0.5
    sphere{y*0,0.26,bStrength
      scale <1.3,1.6,0.7>
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
      rotate z*5
      translate x*-0.1
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
      rotate z*-5
      translate x*0.1
    }
    sphere{y*0,0.14,bStrength
      scale <1,1.6,1>
      translate y*0.09
      rotate x*-50
      rotate y*60
      translate y*0.2
      rotate z*-80
    }
  
  
    texture{eyeT1}
  }
  #local handL = blob{
    threshold 0.5
    sphere{y*0,0.26,bStrength
      scale <1.3,1.6,0.7>
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
      rotate z*5
      translate x*-0.1
    }
    sphere{y*0,0.09,1.5*bStrength
      scale <1,2,1>
      translate y*0.09
      rotate x*-40
      translate y*0.22
      rotate z*-5
      translate x*0.1
    }
    sphere{y*0,0.14,bStrength
      scale <1,1.6,1>
      translate y*0.09
      rotate x*-50
      rotate y*-60
      translate y*0.2
      rotate z*80
    }
  
  
    texture{eyeT1}
  }
  #local armR = union{
    blob{
      threshold 0.5
      cylinder{y*0,y*0.3,0.25,bStrength}
      cylinder{y*0,y*0.5,0.22,bStrength
        rotate z*-elbowAngleR
        rotate y*-elbowA2R
        translate y*0.3
      } 
      texture{pCRedT}
    }
    object{
      handR
      rotate x*handAngleR
      translate y*(0.5+0.1)
      rotate z*-elbowAngleR
      rotate y*-elbowA2R
      translate y*0.3
    }
  }
  #local armL = union{
    blob{
      threshold 0.5
      cylinder{y*0,y*0.3,0.25,bStrength}
      cylinder{y*0,y*0.5,0.22,bStrength
        rotate z*elbowAngleL
        rotate y*elbowA2L
        translate y*0.3
      }
      texture{pCRedT}
    }
    object{
      handL
      rotate x*handAngleL
      translate y*(0.5+0.1)
      rotate z*elbowAngleL
      rotate y*elbowA2L
      translate y*0.3
    }
    //rotate x*-60
  }

  #declare Man = union{
    object{head}
    object{
      leg
      rotate x*legAngleL
      translate y*-0.9+x*0.3
    }
    object{
      leg
      rotate x*legAngleR
      translate y*-0.9+x*-0.3
    }
    object{
      armR
      translate y
      rotate x*-120
      rotate y*50
    }
    object{
      armL
      translate y
      rotate x*-120
      rotate y*-50
    }
    translate y*1.9
  }
#end